.searchBox {
  padding: map-get($mobile, space-sm) 0 0;

  @include breakpoint($medium) {
    padding: map-get($desktop, space-sm) 0 0;
  }

  h2 {
    color: $color-heading;
  }

  form {
    display: flex;
    align-items: center;
    flex-wrap: wrap;

    input[type="text"],
    .editable-input {
      padding: 0.8rem 1.5rem;
      border-radius: 6px;
      box-shadow: none;
      margin-right: 1rem;
      flex: 1 0 100%;
      border: none;
      background: #fff;
      color: $text-color;
      transition: all linear 150ms;
      font-family: $font-muli;
      @include rhythm(18, 18);

      &:focus {
        outline: none;
        box-shadow: inset 3px 3px 8px rgba(0, 0, 0, 0.3);
      }

      @include breakpoint($medium) {
        padding-top: 1.45rem;
        padding-bottom: 1.45rem;
        flex: 1 0 auto;
      }
    }
  }

  .cta {
    margin: 1rem auto 0;
    flex: 0 0 auto;

    @include breakpoint($medium) {
      margin: 0 !important;
    }
  }

  &__link.links {
    display: inline-block;
    margin: 1.6rem 0 0;
    a {
      color: #fff;
      line-height: 1.2rem;
      border-bottom: 1px solid rgba(255, 255, 255, 0.2);
      display: inline;
      &:hover {
        border-color: #fff;
        color: #fff;
      }
    }
  }
}

@include breakpoint($large) {
  .headerBanner.theme--text-green,
  .headerBanner.theme--text-black {
    .searchBox__link a {
      color: $link-color;
      border-bottom: 1px solid rgba($link-color, 0.1);

      &:hover,
      &:focus {
        border-color: #3d3d3d;
      }
    }
  }
}

@include breakpoint($small) {
  .headerBanner.theme--text-green-mobile,
  .headerBanner.theme--text-black-mobile {
    .searchBox__link a {
      color: $link-color;
      border-bottom: 1px solid rgba($link-color, 0.1);

      &:hover,
      &:focus {
        border-color: #3d3d3d;
      }
    }
  }
}
